min_dist {jmotif} | R Documentation

## Computes the mindist value for two strings

### Description

Computes the mindist value for two strings

### Usage

    min_dist(str1, str2, alphabet_size, compression_ratio = 1)

### Arguments

`str1` | the first string
`str2` | the second string
`alphabet_size` | the used alphabet size
`compression_ratio` | the distance compression ratio

### Value

Returns the distance between strings

### References

Lonardi, S., Lin, J., Keogh, E., Patel, P., Finding motifs in time series. In Proc. of the 2nd Workshop on Temporal Data Mining (pp. 53-68).

### Examples

    str1 <- c('a', 'b', 'c')
    str2 <- c('c', 'b', 'a')
    min_dist(str1, str2, 3)

[Package jmotif version 1.0.3 Index]